Page MenuHomePhabricator

Migrate tables.sql to abstract schema
Open, Needs TriagePublic

Description

This needs to be done gradually, a hybrid situation would be great.

Status: 42 out of 56 are done (75%):

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+68 -2
mediawiki/coremaster+241 -79
mediawiki/coremaster+239 -106
mediawiki/coremaster+142 -41
mediawiki/coremaster+3 -0
mediawiki/coremaster+192 -66
mediawiki/coremaster+4 -4
mediawiki/coremaster+124 -42
mediawiki/coremaster+66 -29
mediawiki/coremaster+93 -30
mediawiki/coremaster+54 -8
mediawiki/coremaster+114 -35
mediawiki/coremaster+55 -24
mediawiki/coremaster+8 -1
mediawiki/coremaster+1 -1
mediawiki/coremaster+86 -35
mediawiki/coremaster+110 -61
mediawiki/coremaster+2 -2
mediawiki/coremaster+138 -29
mediawiki/coremaster+79 -42
mediawiki/coremaster+62 -20
mediawiki/coremaster+179 -76
mediawiki/coremaster+49 -16
mediawiki/coremaster+74 -39
mediawiki/coremaster+159 -39
mediawiki/coremaster+131 -34
mediawiki/coremaster+80 -27
mediawiki/coremaster+63 -29
mediawiki/coremaster+79 -29
mediawiki/coremaster+53 -17
mediawiki/coremaster+35 -0
mediawiki/coremaster+105 -41
mediawiki/coremaster+101 -29
mediawiki/coremaster+90 -26
mediawiki/coremaster+106 -33
mediawiki/coremaster+120 -36
mediawiki/coremaster+112 -43
mediawiki/coremaster+91 -31
mediawiki/coremaster+100 -38
mediawiki/coremaster+57 -33
mediawiki/coreREL1_35+3 -1
mediawiki/coremaster+2 -0
mediawiki/coremaster+99 -42
mediawiki/coremaster+77 -36
mediawiki/coremaster+52 -22
mediawiki/coremaster+87 -40
mediawiki/coremaster+75 -42
mediawiki/coremaster+60 -49
mediawiki/coremaster+73 -36
mediawiki/coremaster+122 -58
mediawiki/coremaster+56 -27
mediawiki/coremaster+6 -0
mediawiki/coremaster+37 -13
mediawiki/coremaster+20 -6
mediawiki/coremaster+61 -10
mediawiki/coremaster+18 -0
mediawiki/coremaster+45 -40
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 623120 merged by jenkins-bot:
[mediawiki/core@master] Migrate iwlinks to abstract schema

https://gerrit.wikimedia.org/r/623120

Change 625307 merged by jenkins-bot:
[mediawiki/core@master] Migrate category to abstract schema

https://gerrit.wikimedia.org/r/625307

Ladsgroup updated the task description. (Show Details)Sep 8 2020, 10:00 PM

Change 626855 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate watchlist_expiry to abstract schema

https://gerrit.wikimedia.org/r/626855

Change 626856 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Introduce TinyInt db datatype for doctrine DBAL

https://gerrit.wikimedia.org/r/626856

Change 626855 merged by jenkins-bot:
[mediawiki/core@master] Migrate watchlist_expiry to abstract schema

https://gerrit.wikimedia.org/r/626855

Change 626856 merged by jenkins-bot:
[mediawiki/core@master] Introduce TinyInt db datatype for doctrine DBAL

https://gerrit.wikimedia.org/r/626856

Change 614886 merged by jenkins-bot:
[mediawiki/core@master] Migrate change_tag_def table to abstract schema

https://gerrit.wikimedia.org/r/614886

Ladsgroup updated the task description. (Show Details)Sep 18 2020, 1:22 AM

Change 628245 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate ipblocks_restrictions to abstract schema

https://gerrit.wikimedia.org/r/628245

Change 628517 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate ip_changes to abstract schema

https://gerrit.wikimedia.org/r/628517

Change 628245 merged by jenkins-bot:
[mediawiki/core@master] Migrate ipblocks_restrictions to abstract schema

https://gerrit.wikimedia.org/r/628245

Ladsgroup updated the task description. (Show Details)Sep 23 2020, 6:13 AM

Change 630339 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate querycache to abstract schema

https://gerrit.wikimedia.org/r/630339

Change 630341 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate querycachetwo table to abstract schema

https://gerrit.wikimedia.org/r/630341

Change 630339 merged by jenkins-bot:
[mediawiki/core@master] Migrate querycache to abstract schema

https://gerrit.wikimedia.org/r/630339

Change 630341 merged by jenkins-bot:
[mediawiki/core@master] Migrate querycachetwo table to abstract schema

https://gerrit.wikimedia.org/r/630341

Ladsgroup updated the task description. (Show Details)Sep 29 2020, 9:57 AM

Change 630955 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate page_restrictions to abstract schema

https://gerrit.wikimedia.org/r/630955

Change 631937 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate user_groups to abstract schema

https://gerrit.wikimedia.org/r/631937

Change 634035 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate querycache_info to abstract schema

https://gerrit.wikimedia.org/r/634035

Change 630955 merged by jenkins-bot:
[mediawiki/core@master] Migrate page_restrictions to abstract schema

https://gerrit.wikimedia.org/r/630955

Ladsgroup updated the task description. (Show Details)Oct 19 2020, 9:34 AM
Ladsgroup updated the task description. (Show Details)Oct 19 2020, 9:37 AM

Change 634943 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate watchlist table to Abstract schema

https://gerrit.wikimedia.org/r/634943

Change 631937 merged by jenkins-bot:
[mediawiki/core@master] Migrate user_groups to abstract schema

https://gerrit.wikimedia.org/r/631937

Ladsgroup updated the task description. (Show Details)Oct 19 2020, 7:58 PM
Ladsgroup updated the task description. (Show Details)Oct 19 2020, 9:04 PM
Ladsgroup updated the task description. (Show Details)Oct 19 2020, 9:07 PM

Change 634035 merged by jenkins-bot:
[mediawiki/core@master] Migrate querycache_info to abstract schema

https://gerrit.wikimedia.org/r/634035

Ladsgroup updated the task description. (Show Details)Oct 21 2020, 6:37 PM

Change 634943 merged by jenkins-bot:
[mediawiki/core@master] Migrate watchlist table to Abstract schema

https://gerrit.wikimedia.org/r/634943

Ladsgroup updated the task description. (Show Details)Oct 22 2020, 4:01 PM

Change 635857 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate sites table to abstract schema

https://gerrit.wikimedia.org/r/635857

Change 635875 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate interwiki table to abstract schema

https://gerrit.wikimedia.org/r/635875

Ladsgroup updated the task description. (Show Details)Oct 22 2020, 7:40 PM

Change 635908 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate new_talk to abstract schema

https://gerrit.wikimedia.org/r/635908

Ammarpad updated the task description. (Show Details)Oct 23 2020, 2:02 AM

Change 635857 merged by jenkins-bot:
[mediawiki/core@master] Migrate sites table to abstract schema

https://gerrit.wikimedia.org/r/635857

Ladsgroup updated the task description. (Show Details)Oct 23 2020, 12:59 PM

Change 636049 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate objectcache to abstract schema

https://gerrit.wikimedia.org/r/636049

Ammarpad updated the task description. (Show Details)Oct 23 2020, 3:09 PM

Change 635908 merged by jenkins-bot:
[mediawiki/core@master] Migrate new_talk to abstract schema

https://gerrit.wikimedia.org/r/635908

Ladsgroup updated the task description. (Show Details)Oct 26 2020, 4:34 PM

Change 636557 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate protected_titles to abstract schema

https://gerrit.wikimedia.org/r/636557

Change 635875 merged by jenkins-bot:
[mediawiki/core@master] Migrate interwiki table to abstract schema

https://gerrit.wikimedia.org/r/635875

Ladsgroup updated the task description. (Show Details)Mon, Nov 2, 7:09 AM
Ladsgroup updated the task description. (Show Details)Mon, Nov 2, 3:04 PM

Change 636557 merged by jenkins-bot:
[mediawiki/core@master] Migrate protected_titles to abstract schema

https://gerrit.wikimedia.org/r/636557

Change 638311 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate externallinks to abstract schema

https://gerrit.wikimedia.org/r/638311

Change 638417 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] DoctrineSchemaBuilder: Pass down extra options for Schema index creation

https://gerrit.wikimedia.org/r/638417

Change 638417 merged by jenkins-bot:
[mediawiki/core@master] DoctrineSchemaBuilder: Pass down extra options for Schema index creation

https://gerrit.wikimedia.org/r/638417

Ladsgroup updated the task description. (Show Details)Thu, Nov 5, 6:42 PM

Change 638311 merged by jenkins-bot:
[mediawiki/core@master] Migrate externallinks to abstract schema

https://gerrit.wikimedia.org/r/638311

Ladsgroup updated the task description. (Show Details)Fri, Nov 6, 1:25 AM

Change 628517 merged by jenkins-bot:
[mediawiki/core@master] Migrate ip_changes to abstract schema

https://gerrit.wikimedia.org/r/628517

Change 639735 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] DoctrineSchemaBuilder: Pass all args to Schema index method

https://gerrit.wikimedia.org/r/639735

Change 639738 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] DoctrineSchemaBuilder: Allow specifying custom table options

https://gerrit.wikimedia.org/r/639738

Change 639735 merged by jenkins-bot:
[mediawiki/core@master] DoctrineSchemaBuilder: Pass all args to Schema index method

https://gerrit.wikimedia.org/r/639735

Ladsgroup updated the task description. (Show Details)Sat, Nov 7, 2:20 PM

Change 639738 merged by jenkins-bot:
[mediawiki/core@master] DoctrineSchemaBuilder: Allow specifying custom table options

https://gerrit.wikimedia.org/r/639738

Change 640288 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate revision_comment_temp to abstract schema

https://gerrit.wikimedia.org/r/640288

Change 640322 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate revision_actor_temp to abstract schema

https://gerrit.wikimedia.org/r/640322

Ladsgroup updated the task description. (Show Details)Tue, Nov 10, 9:48 AM

Change 640288 merged by jenkins-bot:
[mediawiki/core@master] Migrate revision_comment_temp to abstract schema

https://gerrit.wikimedia.org/r/640288

Ladsgroup updated the task description. (Show Details)Wed, Nov 11, 11:58 PM

Change 640322 merged by jenkins-bot:
[mediawiki/core@master] Migrate revision_actor_temp to abstract schema

https://gerrit.wikimedia.org/r/640322

Change 640826 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Add custom ENUM datatype for doctrine DBAL

https://gerrit.wikimedia.org/r/640826

Change 640835 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate page_props to abstract schema

https://gerrit.wikimedia.org/r/640835

Change 640826 merged by jenkins-bot:
[mediawiki/core@master] Add custom ENUM datatype for doctrine DBAL

https://gerrit.wikimedia.org/r/640826

Change 641701 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate job to abstract schema

https://gerrit.wikimedia.org/r/641701

Change 640835 merged by jenkins-bot:
[mediawiki/core@master] Migrate page_props to abstract schema

https://gerrit.wikimedia.org/r/640835

Ladsgroup updated the task description. (Show Details)Thu, Nov 19, 1:13 AM
Ladsgroup updated the task description. (Show Details)Thu, Nov 19, 1:26 AM

Change 642680 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Fix un_user_ip index columns

https://gerrit.wikimedia.org/r/642680

Change 642680 merged by jenkins-bot:
[mediawiki/core@master] Fix un_user_ip index column

https://gerrit.wikimedia.org/r/642680

Ladsgroup updated the task description. (Show Details)Sat, Nov 21, 10:42 PM

Change 642685 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Add patch to set wl_notificationtimestamp BINARY(14)

https://gerrit.wikimedia.org/r/642685

Change 641701 merged by jenkins-bot:
[mediawiki/core@master] Migrate job to abstract schema

https://gerrit.wikimedia.org/r/641701

Change 642685 merged by jenkins-bot:
[mediawiki/core@master] Add patch to set wl_notificationtimestamp BINARY(14)

https://gerrit.wikimedia.org/r/642685

Change 619155 merged by jenkins-bot:
[mediawiki/core@master] Migrate slot_roles and content_models to abstract schema

https://gerrit.wikimedia.org/r/619155

Ladsgroup updated the task description. (Show Details)Sun, Nov 22, 3:56 PM

Change 643435 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Migrate page to abstract schema

https://gerrit.wikimedia.org/r/643435

Change 644004 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Migrate categorylinks to abstract schema

https://gerrit.wikimedia.org/r/644004

Change 644171 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] DBAL ENUM datatype: Complete Postgres support

https://gerrit.wikimedia.org/r/644171